Snag Docs logo

Get Loyalty Transaction Entries

Fetch loyalty transaction entries for wallets or users, representing account balance changes.

GEThttps://admin.snagsolutions.io/api/loyalty/transaction_entries

Fetch loyalty transaction entries for wallets or users, representing account balance changes.

Loading code example
Loading code example

Authorizations

apiKeyAuthstringheaderrequired

API key passed in the header.

Query Parameters

organizationIdstring<uuid>

Unique identifier for the organization to filter by

websiteIdstring<uuid>

Unique identifier for the website to filter by

startingAfterstring<uuid>

Pagination cursor to start after a specific resource ID

limitintegerdefault: 10

Maximum number of records to return (max 100)

Required range: x >= 1, x <= 100
Default: 10
walletAddressany

Wallet address or array of wallet addresses to filter by

userIdany

User ID or array of User IDs to filter by

walletGroupIdentifierstring

Identifier for the wallet group to filter by

loyaltyTransactionIdstring

Unique identifier for the loyalty transaction to filter by

loyaltyRuleIdstring

Unique identifier for the loyalty rule to filter by

loyaltyRuleTypeany
idempotencyKeystring

Key to ensure idempotency of the request

type"auction_bid" | "direct_mint" | "loyalty_rule" | "api_key" | "order"

Type of the loyalty transaction to filter by

Allowed values: "auction_bid" | "direct_mint" | "loyalty_rule" | "api_key" | "order"
sortBy"createdAt" | "updatedAt" | "loyaltyAccountLockVersion"default: createdAt

Field to sort the results by

Allowed values: "createdAt" | "updatedAt" | "loyaltyAccountLockVersion"
Default: "createdAt"
sortDir"asc" | "desc"default: desc

Direction to sort the results by

Allowed values: "asc" | "desc"
Default: "desc"
userCompletedLoyaltyRuleIdany

When passed in return the list of fulfilled entries for loyalty rules. If a loyalty rule has a fulfilled entry this means the user cannot currently complete the rule. Must be passed in with userId or walletAddress.

userGroupExternalIdentifierstring

External identifier for the user group controlled by you.

userGroupIdstring<uuid>

Unique identifier for the user group

createdAtStartstring<date-time>

Start date to filter by (inclusive, greater than or equal to)

createdAtEndstring<date-time>

End date to filter by (exclusive, less than)

loyaltyRuleGroupIdstring<uuid>

UUID of the rule group (converted to lowercase)

loyaltyCurrencyIdany

UUID of the loyalty currency IDs to filter by. Use this to exclude deleted currencies

Response

application/json

200

dataarray<object>required
data.idstring<uuid>required

Unique identifier for the transaction entry

data.organizationIdstring<uuid>required

Unique identifier for the organization

data.websiteIdstring<uuid>required

Unique identifier for the website

data.loyaltyAccountIdstring<uuid>required

Unique identifier for the loyalty account

data.direction"credit" | "debit"required

Direction of the transaction entry

Allowed values: "credit" | "debit"
data.type"auction_bid" | "direct_mint" | "loyalty_rule" | "api_key" | "order"required

Type of the loyalty transaction

Allowed values: "auction_bid" | "direct_mint" | "loyalty_rule" | "api_key" | "order"
data.createdAtstringrequired

Timestamp when the transaction entry was created

data.updatedAtstringrequired

Timestamp when the transaction entry was last updated

data.amountnumberrequired

Amount involved in the transaction

data.metadataobject

Optional metadata for the transaction entry

data.loyaltyTransactionobjectrequired

Details of the loyalty transaction

hasNextPagebooleanrequired